General
cancel
Showing results for 
Search instead for 
Did you mean: 

libssh2 configuration on HP-UX 11.31 fails

Knud
Occasional Advisor

libssh2 configuration on HP-UX 11.31 fails

With HP-UX 11.31 running on PA RISC machine and OpenSSL being installed under /opt/openssl, the configuration of libssh2-1.2.7 using

./configure --with-openssl=/opt/openssl

fails with error

configure: error: cannot find OpenSSL or Libgcrypt,
try --with-libssl-prefix=PATH or --with-libgcrypt-prefix=PATH

and even the additional option

--with-libssl-prefix=/opt/openssl/lib

doesn't help (seems as if libssh2 is searching for libssl.so instead of libssl.sl)
2 REPLIES
Steven E. Protter
Exalted Contributor

Re: libssh2 configuration on HP-UX 11.31 fails

Shalom,

Why are you not using the depot based openssl available for free on http://software.hp.com

search for openssl or Internet express.

If you wish to debug this process, see SHLIB_PATH variable, make sure the order is correct and the library libssh2 is present and not corrupt.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Knud
Occasional Advisor

Re: libssh2 configuration on HP-UX 11.31 fails

Hello,


I think there is a little misunderstandin - openssl (version 09.8.k) is installed, and now I need to install libssh2 in order to provide ssh2 functionality to PHP. The error mentioned above occurs during configuration of libssh2.